dots.v2.volumes.byVolume_id().actions.byAction_id().get()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.volumes.byVolume_id(volume_id).actions.byAction_id(action_id).get(requestConfiguration?: RequestConfiguration<WithAction_ItemRequestBuilderGetQueryParameters>): Promise<undefined | WithAction_GetResponse>Description
To retrieve the status of a volume action, send a GET request to /v2/volumes/{volume_id}/actions/{action_id}.
Parameters
Path Parameters
volume_idstring requiredExample:
7724db7c-e098-11e5-b522-000f53304e51The ID of the block storage volume.
action_idinteger requiredExample:
36804636A unique numeric ID that can be used to identify and reference an action.
Query Parameters
perPageinteger optionalExample:
2Number of items returned per page
pageinteger optionalExample:
1Which 'page' of paginated results to return.
Request Sample
Response Example
More Information
See /v2/volumes/{volume_id}/actions/{action_id} in the API reference for additional detail on responses, headers, parameters, and more.